class <- c(rep("boy",6), rep("girl",7))
class
table(class)
chisq.test(table(class))

tea <- matrix(c(3,1,1,3), nrow=2)
colnames(tea) <- rownames(tea) <- c("Milk", "Tea")
tea
chisq.test(tea)
fisher.test(tea)
chisq.test(tea, simulate.p.value=T)

tox <- read.table("http://ashipunov.info/data/tox.txt", h=T)
str(tox)
for (m in 2:ncol(tox))
{
tmp <- chisq.test(tox$ILL, tox[,m])
print(paste(names(tox)[m], tmp$p.value))
}
for (m in 2:ncol(tox))
{
tmp <- chisq.test(tox$ILL, tox[,m], simulate.p.value=T)
print(paste(names(tox)[m], tmp$p.value))
}
answer <- data.frame(FOOD=NA, CHISQ.P=NA)
answer
for (m in 2:ncol(tox))
{
tmp <- chisq.test(tox$ILL, tox[,m], simulate.p.value=T)
answer[m-1,] <- c(names(tox)[m], tmp$p.value)
}
answer
answer$ADJ <- p.adjust(answer[,2], method="bonferroni")
answer

first <- c(82, 107, 91, 115, 109, 58, 110, 71, 98, 79, 105, 103)
second <- c(115, 80, 84, 115, 101, 85, 105, 95, 70, 115, 115, 105)
dif <- second - first
pos.dif <- dif[dif > 0]
binom.test(length(pos.dif), length(dif))

source("http://ashipunov.info/r/concordance.r")
isl <- read.table("http://ashipunov.info/data/pokorm_03.dat", h=T, sep=";")
str(isl)
cohen.kappa(as.matrix(isl))
